Bug 491170 - /dev/sda1 /boot not flagged as boot partition
/dev/sda1 /boot not flagged as boot partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-19 13:19 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 11:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-logs.tgz (3.33 KB, application/octet-stream)
2009-03-19 13:19 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-19 13:19:01 EDT
Created attachment 335891 [details]
anaconda-logs.tgz

Description of problem:

Installing (Use entire disk) results in an unbootable system.  Inspection of $(parted /dev/sda -s p) shows that the /boot partition is not flagged as bootable.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.33-1

How reproducible:
3 of 3 install attempts result in the same problem

Steps to Reproduce:
1. Use entire disk
2. Autopart
  
Actual results:

System not bootable

Expected results:

System boots

Additional info:

* I can resolve this problem by toggling the boot flag for the /boot partition.  The system then boots.

# parted /dev/sda -s 'toggle boot 1'

* Attaching anaconda-logs.tgz for the install (includes anaconda.log, program.log, storage.log ...).
Comment 1 James Laska 2009-03-24 11:35:22 EDT
Not seeing this anymore with anaconda-11.5.0.36 on the same system

Note You need to log in before you can comment on or make changes to this bug.